<template>
  <button type="button" @click="$emit('clicked')">
    <svg id="search-icon" class="search-icon" viewBox="0 0 24 24">
      <path d="M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"/>
      <path d="M0 0h24v24H0z" fill="none"/>
    </svg>
    test
    <slot />
  </button>
</template>

<script>
export default {
  name: 'Button',
  props: {
    type: {
      type: String,
      default: 'temporary',
    }
  }
}
</script>

<style scoped>
button {
  display: flex;
  align-items: center;
  border-radius: 8px;
  cursor: pointer;
  padding: 0 12px;
  font-weight: 600;
  color: white;
  transition: all 0.2s ease;
  height: 40px;
  font-size: 14px;
  background: #2f80ed;
  border: 1px solid rgba(255, 255, 255, 0.1);
}
</style>